Skip to main content
POST
Add a product to a lead

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
product_uuid
string
required
quantity
number
default:1
required
unit_price
number | null

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

Response

201 - application/json

Default Response

uuid
string
required
product
object
required
quantity
number
required
unit_price
number | null
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

source
enum<string>
required
Available options:
manual,
quote
created_at
string
required
updated_at
string
required